<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout
    xmlns:android="http://schemas.android.com/apk/res/android"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto">

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/cl_status_bar"
        android:layout_width="match_parent"
        android:layout_height="@dimen/convert_132px"
        android:background="#FFA627"
        app:layout_constraintTop_toTopOf="parent">

        <View
            android:id="@+id/view_back"
            android:layout_width="@dimen/convert_120px"
            android:layout_height="@dimen/convert_132px"
            android:background="@drawable/ic_cook_back"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"/>

        <TextView
            android:id="@+id/tv_title_step"
            android:layout_width="0dp"
            android:layout_height="match_parent"
            android:text="Step1:Peel 3 onions(180g)and2..."
            android:gravity="center_vertical"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_45px"
            android:maxLines="1"
            android:ellipsize="end"
            android:layout_marginStart="@dimen/convert_51px"
            android:layout_marginEnd="@dimen/convert_70px"
            app:layout_constraintStart_toEndOf="@+id/view_back"
            app:layout_constraintEnd_toStartOf="@+id/view_alarm"/>

        <View
            android:id="@+id/view_alarm"
            android:layout_width="@dimen/convert_75px"
            android:layout_height="@dimen/convert_59px"
            android:background="@drawable/ic_alarm"
            android:layout_marginEnd="@dimen/convert_45px"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

    <ImageView
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:src="@drawable/bg_cook_session"
        android:scaleType="centerCrop"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <View
        android:layout_width="match_parent"
        android:layout_height="0dp"
        android:background="@drawable/bg_cook_mask"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <TextView
        android:id="@+id/tv_step_name"
        android:layout_width="0dp"
        android:layout_height="wrap_content"
        android:text="Step1:Peel 3 onions(180g)and2garlic cloves,halve the onions andput both in the blender jug."
        android:textColor="#fff"
        android:layout_marginStart="@dimen/convert_77px"
        android:layout_marginTop="@dimen/convert_77px"
        android:layout_marginEnd="@dimen/convert_99px"
        android:textSize="@dimen/convert_39px"
        android:lineSpacingExtra="10dp"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/view_remark"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <View
        android:id="@+id/view_remark"
        android:layout_width="@dimen/convert_122px"
        android:layout_height="@dimen/convert_120px"
        android:layout_marginTop="@dimen/convert_47px"
        android:layout_marginEnd="@dimen/convert_45px"
        android:background="@drawable/ic_remark"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"/>

    <ImageView
        android:id="@+id/iv_prev_step"
        android:layout_width="@dimen/convert_90px"
        android:layout_height="@dimen/convert_90px"
        android:src="@drawable/ic_cook_prev_step"
        android:layout_marginStart="@dimen/convert_48px"
        app:layout_constraintVertical_bias="0.4"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <ImageView
        android:id="@+id/iv_next_step"
        android:layout_width="@dimen/convert_90px"
        android:layout_height="@dimen/convert_90px"
        android:src="@drawable/ic_cook_next_step"
        android:layout_marginEnd="@dimen/convert_48px"
        app:layout_constraintVertical_bias="0.4"
        app:layout_constraintTop_toTopOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <include
        android:id="@+id/controller"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        layout="@layout/item_cook_controller"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <FrameLayout
        android:id="@+id/fl_cook_details"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintTop_toBottomOf="@+id/cl_status_bar"
        app:layout_constraintBottom_toBottomOf="parent"/>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/ll_weight_view"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical"
        app:layout_constraintBottom_toBottomOf="parent">

        <TextView
            android:id="@+id/tv_weight_num"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_180px"
            android:text="50g"
            android:layout_marginBottom="@dimen/convert_80px"
            android:includeFontPadding="false"
            android:layout_gravity="center_horizontal"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toTopOf="@+id/weight_view"/>

        <com.develop.step.widgets.WeightView
            android:id="@+id/weight_view"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/convert_83px"
            app:layout_constraintBottom_toBottomOf="parent"/>

        <TextView
            android:id="@+id/tv_weight_tare"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:paddingHorizontal="@dimen/convert_80px"
            android:paddingVertical="@dimen/convert_20px"
            android:textColor="#ffffff"
            android:textSize="@dimen/convert_56px"
            android:text="TARE"
            android:includeFontPadding="false"
            android:layout_marginBottom="@dimen/convert_66px"
            android:background="@drawable/bg_tare_button"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"/>

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>